import {RouteRecordRaw} from "vue-router";

export const staticRouter: RouteRecordRaw[] = [
    {
        path: '/login',
        name: 'login',
        meta: {
            title: '登录',
        },
        component: () => import("@/views/login.vue"),
    }, {
        path: "/",
        redirect: '/index',
    }, {
        path: '/layout',
        name: 'layout',
        redirect: '/index',
        component: () => import("@/components/layout/layout.vue"),
        children: [
            {
                path: '/index',
                name: 'index',
                meta: {
                    title: '首页',
                    icon: 'icon-shouye',
                    fixed: true,
                    isKeepAlive: false
                },
                component: () => import('@/views/index.vue')
            }
        ]
    }
]
